package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 设备状态，1：新增，2：修改，3：删除，4：激活，5：启用，6：停用
*
* @author zxfei
*/
public enum DeviceStatusEnum {
    ADD(1, "新增"),
    UPDATE(2, "修改"),
    DEL(3, "删除"),
    ACTIVE(4, "激活"),
    ENABLED(5, "启用"),
    STOP(6, "停用"),
    ONLINE(7, "上线"),
    OFFLINE(8, "下线")
    ;
    private Integer value;
    private String desc;

    DeviceStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceStatusEnum getByValue(Integer value) {
        for (DeviceStatusEnum deviceTypeEnum : DeviceStatusEnum.values()) {
            if (deviceTypeEnum.getValue() == value) {
                return deviceTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceStatusEnum item : DeviceStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}